using FluentValidation;

namespace Indotalent.Features.Purchase.PurchaseOrder.Cqrs;

public class CreatePurchaseOrderValidator : AbstractValidator<CreatePurchaseOrderRequest>
{
    public CreatePurchaseOrderValidator()
    {
        RuleFor(x => x.OrderDate).NotEmpty().WithMessage("Date is required");
        RuleFor(x => x.VendorId).NotEmpty().WithMessage("Vendor is required");
    }
}